Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QPair<T,S>

    java.lang.Object
      com.trolltech.qt.QPair<T,S>

All Implemented Interfaces:
  java.lang.Cloneable

    public class QPair<T,S>

extends java.lang.Object
implements java.lang.Cloneable

QPair keeps two generic values. They are public with the names `first` and `second`.

Field Summary
`T` | `first` First value of the pair.
`S` | `second` Second value of the pair.

Constructor Summary
`QPair(T t, S s)` Constructs a pair.

Method Summary
`QPair<T,S>` | `clone()` Returns a copy of this object.
`boolean` | `equals(java.lang.Object o)` Returns true if this pair is the same as the other pair.
`java.lang.String` | `toString()` Returns a string representation of this pair.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### first

    public T first

  First value of the pair.

### second

    public S second

  Second value of the pair.

Constructor Detail

### QPair

    public QPair(T t,
                 S s)

  Constructs a pair.

  Parameters:
    `t` - The first paramterer.
    `s` - The second parameter.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Returns true if this pair is the same as the other pair. If any of the first or second members are null the result is false regardless.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `The` - other parameter
  Returns:
    True if they are equal.

### toString

    public java.lang.String toString()

  Returns a string representation of this pair.

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public QPair<T,S> clone()

  Returns a copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD